@charset "UTF-8";

/*======================================================================
Page Common
======================================================================*/
.enjoy-photospot {
  position: relative;
  z-index: 2;
  background-color: #f0f0f0;
}
.enjoy-photospot-header {
  background-image: url("../images/enjoy/photospot/bg.jpg");
  background-repeat: no-repeat;
  background-position: center top;
  background-size: cover;
  border-radius: 0 0 calc(56 / var(--w) * 100vw) calc(56 / var(--w) * 100vw);
  overflow: hidden;
  background-attachment: fixed;
}
.enjoy-photospot img {
  display: block;
  width: auto;
  max-width: 100%;
}

@media screen and (max-width: 750px) {
  .enjoy-photospot-header {
    background-image: url("../images/enjoy/photospot/bg_sp.jpg");
  }
}

/*======================================================================
Page Title + Slide
======================================================================*/
.gallery-container {
  width: 100%;
}
.gallery-wrapper {
  width: 100%;
  display: flex;
  align-items: stretch;
  justify-content: space-between;
  height: calc(100vh - 77px);
}
#main-slider {
  display: flex;
  align-items: center;
  flex: 1;
}
#main-slider .kv {
  width: calc(719 / var(--w) * 100vw);
  height: calc(100vh - 130px) !important;
  box-sizing: border-box;
  border-radius: 0 var(--w-16) var(--w-16) 0;
  overflow: hidden;
  transform: translateZ(0);
}
#main-slider .kv img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.page__ttl {
  margin-top: calc(60 / var(--w) * 100vw);
  width: calc(280 / var(--w) * 100vw);
  display: flex;
  justify-content: center;
}
.page__ttl figure {
  width: calc(180 / var(--w) * 100vw);
}
.page__ttl figure img {
  width: 100%;
}
#thumbnail-slider {
  width: calc(270 / var(--w) * 100vw);
  /*  height: calc(100vh - 100px) !important;
  height: 100vh; */
  height: calc(100vh - 77px) !important;
  flex-shrink: 0;
}

@media screen and (max-width: 1200px) {
  .gallery-wrapper,
  #thumbnail-slider {
    height: calc(100vh - 66px);
  }
}

@media screen and (max-width: 1000px) {
  .gallery-wrapper,
  #thumbnail-slider {
    height: calc(100vh - 58px);
  }
}
@media screen and (max-width: 860px) {
  .gallery-wrapper,
  #thumbnail-slider {
    height: calc(100vh - 52px);
  }
}
#thumbnail-slider .splide__track {
}
#thumbnail-slider .splide__slide {
  width: 100%;
  aspect-ratio: 3 / 2;
  box-sizing: border-box;
  border-radius: var(--w-16) 0 0 var(--w-16);
  overflow: hidden;
  transform: translateZ(0);
}
#thumbnail-slider .splide__slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

@media screen and (max-width: 750px) {
  .gallery-wrapper {
    padding-bottom: calc(40 / var(--w) * 100vw);
    flex-direction: column;
    height: auto;
  }
  /*  #main-slider {
    margin-top: calc(8 / var(--w) * 100vw);
  } */
  #main-slider .kv {
    width: 100vw;
    height: auto !important;
    aspect-ratio: 390 / 307;
    box-sizing: border-box;
    border-radius: 0;
    overflow: hidden;
    transform: translateZ(0);
  }
  .page__ttl {
    margin-top: 0;
    padding: 6vw 0;
    width: 100vw;

    display: flex;
    align-items: center;
    justify-content: center;
  }
  .page__ttl figure {
    width: 77.7vw;
  }

  #thumbnail-slider {
    width: 100%;
    height: auto !important;
  }
  #thumbnail-slider .splide__slide {
    border-radius: var(--w-8);
    aspect-ratio: inherit;
  }
}

/*======================================================================
Spot Block
======================================================================*/
.enjoy-photospot-header__body {
  padding: 0 calc(8 / var(--w) * 100vw);
  background-color: rgba(0, 0, 0, 0.3);
}
.enjoy-photospot-header__title {
  margin-top: var(--w-8);
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.enjoy-photospot-header__title .title-jp {
  margin-top: calc(88 / var(--w) * 100vw);
  margin-bottom: calc(40 / var(--w) * 100vw);
  width: calc(416 / var(--w) * 100vw);
  display: flex;
  align-items: center;
  justify-content: center;
}
@media screen and (max-width: 750px) {
  .enjoy-photospot-header__title .title-jp {
    margin-top: calc(40 / var(--w) * 100vw);
    width: calc(335 / var(--w) * 100vw);
  }
}

/* グリッド */
.enjoy-photospot-gallery__wrapper ul {
  list-style: none;
  padding: 0;
  margin: 0;
  display: grid;
  grid-template-columns: 842fr 414fr;
  gap: calc(8 / var(--w) * 100vw);
  width: 100%;
  margin-top: calc(8 / var(--w) * 100vw);
}
.enjoy-photospot-gallery__wrapper ul:first-child {
  margin-top: 0;
}
.enjoy-photospot-gallery__wrapper ul li {
  margin: 0;
}
.enjoy-photospot-gallery__wrapper .wide figure,
.enjoy-photospot-gallery__wrapper .wide img,
.enjoy-photospot-gallery__wrapper ul figure,
.enjoy-photospot-gallery__wrapper ul img {
  margin: 0;
  width: 100%;
  height: 100%;
  display: block;
}
.enjoy-photospot-gallery__wrapper .wide img,
.enjoy-photospot-gallery__wrapper ul img {
  object-fit: cover;
}
.enjoy-photospot-gallery__wrapper ul li:nth-child(1) {
  grid-column: 1;
  grid-row: 1 / 3;
}
.enjoy-photospot-gallery__wrapper ul li:nth-child(2) {
  grid-column: 2;
  grid-row: 1;
}
.enjoy-photospot-gallery__wrapper ul li:nth-child(3) {
  grid-column: 2;
  grid-row: 2;
}
.enjoy-photospot-gallery__wrapper ul.rev .pc {
  display: block;
}
.enjoy-photospot-gallery__wrapper ul.rev .sp {
  display: none;
}
@media screen and (max-width: 750px) {
  .enjoy-photospot-gallery__wrapper ul {
    display: flex;
    padding: 0;
    margin: 0;
    gap: calc(8 / var(--w) * 100vw);
    width: 100%;
    margin-top: calc(8 / var(--w) * 100vw);
    flex-wrap: wrap;
  }
  .enjoy-photospot-gallery__wrapper ul li:nth-child(1) {
    width: 100%;
  }
  .enjoy-photospot-gallery__wrapper ul li:nth-child(2) {
    width: calc(50% - (4 / var(--w) * 100vw));
  }
  .enjoy-photospot-gallery__wrapper ul li:nth-child(3) {
    width: calc(50% - (4 / var(--w) * 100vw));
  }
  .enjoy-photospot-gallery__wrapper ul.rev .pc {
    display: none;
  }
  .enjoy-photospot-gallery__wrapper ul.rev .sp {
    display: block;
  }
}

/* グリッド - 左右入れ替え（rev） */
.enjoy-photospot-gallery__wrapper ul.rev {
  grid-template-columns: 414fr 842fr;
}
.enjoy-photospot-gallery__wrapper ul.rev li:nth-child(1) {
  grid-column: 2;
  grid-row: 1 / 3;
}
.enjoy-photospot-gallery__wrapper ul.rev li:nth-child(2) {
  grid-column: 1;
  grid-row: 1;
}
.enjoy-photospot-gallery__wrapper ul.rev li:nth-child(3) {
  grid-column: 1;
  grid-row: 2;
}

.enjoy-photospot-gallery__wrapper .wide {
  width: 100%;
}

.enjoy-photospot-gallery__wrapper .wide figure,
.enjoy-photospot-gallery__wrapper ul li figure {
  width: 100%;
  position: relative;
  border-radius: var(--w-8);
  overflow: hidden;
}
.enjoy-photospot-gallery__wrapper .wide figcaption,
.enjoy-photospot-gallery__wrapper ul li figcaption {
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 0.6em 0.8em;
  font-size: var(--w-12);
  color: #fff;
  letter-spacing: 0.2em;
  background-color: rgba(0, 0, 0, 0.6);
  border-radius: var(--w-8) 0 0 0;
}
@media screen and (max-width: 750px) {
  .enjoy-photospot-gallery__wrapper .wide figcaption,
  .enjoy-photospot-gallery__wrapper ul li figcaption {
    font-size: var(--w-10);
  }
}

/*======================================================================
Recommend - おすすめのイベント情報 -
======================================================================*/
.enjoy-photospot-list {
  background: url("../images/enjoy/photospot/bg_recommend.svg") left top / 100%
    auto no-repeat;
  display: flex;
  align-items: center;
}
.enjoy-photospot-list .inner-width {
  padding: 0 var(--w-100);
}

.enjoy-photospot-recommend {
  padding-top: calc(55 / var(--w) * 100vw);
}
.enjoy-photospot-recommend__ttl {
  width: 100%;
  margin-bottom: calc(35 / var(--w) * 100vw);
  padding: 0;
  font-size: calc(24 / var(--w) * 100vw);
  line-height: 1.2;
  text-align: left;
  color: #383838;
}
.enjoy-photospot-recommend__list {
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: space-between;
  margin: var(--w--8) var(--w--12);
}
.enjoy-photospot-recommend__item {
  margin-bottom: calc(24 / var(--w) * 100vw);
  width: 23%;
  box-sizing: border-box;
  background-color: #fff;
  border-radius: var(--w-8);
  overflow: hidden;
  box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.15);
}
.enjoy-photospot-recommend__item figure,
.enjoy-photospot-recommend__item figure img {
  width: 100%;
}
.enjoy-photospot-recommend__item figure img {
  object-fit: contain;
}
.enjoy-photospot-recommend__item .item-data {
  padding: calc(16 / var(--w) * 100vw);
}
.enjoy-photospot-recommend__item .item-tags {
}
.enjoy-photospot-recommend__item .item-tags div {
  margin-right: calc(4 / var(--w) * 100vw);
  margin-bottom: calc(4 / var(--w) * 100vw);
  padding: 0.1em 0.5em;
  font-size: calc(12 / var(--w) * 100vw);
  line-height: 1.2;
  color: #383838;
  background-color: #e3e3e3;
  border-radius: var(--w-4);
  display: inline-block;
}
.enjoy-photospot-recommend__item .detail-title {
  margin-top: calc(3 / var(--w) * 100vw);
  font-size: calc(16 / var(--w) * 100vw);
  line-height: 1.4;
  color: #383838;
  display: inline-block;
  width: 12em;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.enjoy-photospot-gallery__btn {
  padding-top: calc(40 / var(--w) * 100vw);
  padding-bottom: calc(40 / var(--w) * 100vw);
  display: flex;
  justify-content: center;
  align-items: center;
}

.enjoy-photospot-gallery__btn .detail-button + .detail-button {
  margin-left: calc(18 / var(--w) * 100vw);
}
.enjoy-photospot img.logo_ig {
  width: calc(28 / var(--w) * 100vw);
  /*  max-width: 28px; */
  z-index: 1;
}
.enjoy-photospot-list ._bg-white2 {
  background-color: #f0f0f0;
}
.enjoy-photospot ._btn-text {
  letter-spacing: 0;
}
@media screen and (max-width: 750px) {
  .enjoy-photospot-list .inner-width {
    padding: 0 var(--w-32);
  }
  .enjoy-photospot-recommend__ttl {
    width: 100%;
    margin-bottom: calc(35 / var(--w) * 100vw);
    font-size: calc(20 / var(--w) * 100vw);
    text-align: center;
  }

  .enjoy-photospot-recommend__item {
    margin-bottom: calc(16 / var(--w) * 100vw);
    width: 48%;
    box-sizing: border-box;
    background-color: #fff;
    border-radius: var(--w-8);
    overflow: hidden;
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.15);
  }
  .enjoy-photospot-recommend__item .item-data {
    padding: calc(10 / var(--w) * 100vw);
  }
  .enjoy-photospot-recommend__item .item-tags div {
    font-size: calc(10 / var(--w) * 100vw);
  }
  .enjoy-photospot-recommend__item .detail-title {
    margin-top: calc(3 / var(--w) * 100vw);
    font-size: calc(12 / var(--w) * 100vw);
    line-height: 1.4;
    color: #383838;
    display: block;
    width: auto;
    overflow: visible;
    text-overflow: inherit;
    white-space: wrap;
  }
  .enjoy-photospot-gallery__btn {
    padding-top: calc(30 / var(--w) * 100vw);
    padding-bottom: calc(40 / var(--w) * 100vw);
    flex-direction: column;
  }
  .enjoy-photospot-gallery__btn .detail-button {
    width: calc(308 / var(--w) * 100vw);
  }
  .enjoy-photospot-gallery__btn .detail-button + .detail-button {
    margin-left: 0;
    margin-top: calc(14 / var(--w) * 100vw);
  }
  .enjoy-photospot ._btn-text {
    font-size: 1.4rem;
    letter-spacing: 0;
  }
}

/* 下部のリング */
.columns-index {
  overflow: hidden;
}
